System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All, AllowMultiple=true, Inherited=true)

When editing the property, a visual designer should create a new instance of the specified editor through a dialog box or drop-down window.

Use the property to find this editor's base type. The only available base type is .

Use the property to get the name of the type of editor associated with this attribute.

For general information on using attributes. see Extending Metadata Using Attributes. For more information on design-time attributes, see Attributes and Design-Time Support.

Specifies the editor to use to change a property. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the default editor, which is no editor.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The parameter must be in the format.

  The represented by the parameter must either derive from or implement the base class.

  The represented by the parameter is used as a key to find a particular editor, because a data type can have more than one editor associated with it. This can be any class, but is typically or .

  Initializes a new instance of the class with the type name and base type name of the editor.

  The fully qualified type name of the editor.
  The fully qualified type name of the base class or interface to use as a lookup key for the editor. This class must be or derive from .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The parameter must be in the format.

  The represented by the must either derive from or implement the base class.

  The parameter is used as a key to find a particular editor, because a data type can have more than one editor associated with it.

  Initializes a new instance of the class with the type name and the base type.

  The fully qualified type name of the editor.
  The of the base class or interface to use as a lookup key for the editor. This class must be or derive from .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The represented by the parameter must either derive from or implement the base class.

  The parameter is used as a key to find a particular editor, because a data type can have more than one editor associated with it.

  Initializes a new instance of the class with the type and the base type.

  A that represents the type of the editor.
  The of the base class or interface to use as a lookup key for the editor. This class must be or derive from .
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The property is an assembly qualified type name. The dnprdnshort provides both and as valid base classes, but any value is valid here.

  Gets the name of the base class or interface serving as a lookup key for this editor.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the name of the editor class in the format.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Returns whether the value of the given object is equal to the current .

  true if the value of the given object is equal to that of the current object; otherwise, false.

  The object to test the value equality of.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added To be added: an object of type 'int' To be added
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object'

  The property is used by filtering algorithms to identify two attributes that are the same type. For most attributes, this just returns the instance for the attribute. overrides this to include the type of the editor base type.

  Gets a unique ID for this attribute type.